vtkImageColorViewer Class Reference

`#include <vtkImageColorViewer.h>`

Inheritance diagram for vtkImageColorViewer:
[legend]
Collaboration diagram for vtkImageColorViewer:
[legend]

## Public Types

enum | { SLICE_ORIENTATION_YZ = 0 , SLICE_ORIENTATION_XZ = 1 , SLICE_ORIENTATION_XY = 2 }

## Public Member Functions

virtual void | AddInput (vtkImageData *input)
virtual void | AddInputConnection (vtkAlgorithmOutput *input)
virtual double | GetColorLevel ()
virtual double | GetColorWindow ()
virtual vtkImageData * | GetInput ()
virtual int | GetOffScreenRendering ()
double | GetOverlayVisibility ()
virtual int * | GetPosition ()
virtual int * | GetSize ()
virtual int | GetSliceMax ()
virtual int | GetSliceMin ()
virtual int * | GetSliceRange ()
virtual void | GetSliceRange (int &min, int &max)
virtual void | GetSliceRange (int range[2])
virtual const char * | GetWindowName ()
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | Render (void)
virtual void | SetColorLevel (double s)
virtual void | SetColorWindow (double s)
virtual void | SetDisplayId (void *a)
virtual void | SetInput (vtkImageData *in)
virtual void | SetInputConnection (vtkAlgorithmOutput *input)
virtual void | SetOffScreenRendering (int)
void | SetOverlayVisibility (double vis)
virtual void | SetParentId (void *a)
virtual void | SetPosition (int a, int b)
virtual void | SetPosition (int a[2])
virtual void | SetRenderer (vtkRenderer *arg)
virtual void | SetRenderWindow (vtkRenderWindow *arg)
virtual void | SetSize (int a, int b)
virtual void | SetSize (int a[2])
virtual void | SetSlice (int s)
virtual void | SetSliceOrientation (int orientation)
virtual void | SetSliceOrientationToXY ()
virtual void | SetSliceOrientationToXZ ()
virtual void | SetSliceOrientationToYZ ()
virtual void | SetupInteractor (vtkRenderWindowInteractor *)
virtual void | SetWindowId (void *a)
virtual void | UpdateDisplayExtent ()
| vtkBooleanMacro (OffScreenRendering, int)
| vtkGetMacro (Slice, int)
| vtkGetMacro (SliceOrientation, int)
| vtkGetObjectMacro (ImageActor, vtkImageActor)
| vtkGetObjectMacro (InteractorStyle, vtkInteractorStyleImage)
| vtkGetObjectMacro (Renderer, vtkRenderer)
| vtkGetObjectMacro (RenderWindow, vtkRenderWindow)
| vtkGetObjectMacro (WindowLevel, vtkImageMapToWindowLevelColors2)
| vtkTypeMacro (vtkImageColorViewer, vtkObject)

## Static Public Member Functions

static vtkImageColorViewer * | New ()

## Protected Member Functions

| vtkImageColorViewer ()
| ~vtkImageColorViewer ()
virtual void | InstallPipeline ()
virtual void | UnInstallPipeline ()
virtual void | UpdateOrientation ()

## Protected Attributes

int | FirstRender
vtkImageActor * | ImageActor
vtkRenderWindowInteractor * | Interactor
vtkInteractorStyleImage * | InteractorStyle
vtkImageActor * | OverlayImageActor
vtkRenderer * | Renderer
vtkRenderWindow * | RenderWindow
int | Slice
int | SliceOrientation
vtkImageMapToWindowLevelColors2 * | WindowLevel

## Friends

class | vtkImageColorViewerCallback

## Detailed Description

Examples
  gdcmrtionplan.cxx, and gdcmrtplan.cxx.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
SLICE_ORIENTATION_YZ |
SLICE_ORIENTATION_XZ |
SLICE_ORIENTATION_XY |

## Constructor & Destructor Documentation

## vtkImageColorViewer()

vtkImageColorViewer::vtkImageColorViewer | ( |  | ) |

protected

Referenced by New(), vtkImageColorViewerCallback, and vtkTypeMacro().

## ~vtkImageColorViewer()

vtkImageColorViewer::~vtkImageColorViewer | ( |  | ) |

protected

## Member Function Documentation

## AddInput()

virtual void vtkImageColorViewer::AddInput | ( | vtkImageData * | input | ) |

virtual

## AddInputConnection()

virtual void vtkImageColorViewer::AddInputConnection | ( | vtkAlgorithmOutput * | input | ) |

virtual

## GetColorLevel()

virtual double vtkImageColorViewer::GetColorLevel | ( |  | ) |

virtual

## GetColorWindow()

virtual double vtkImageColorViewer::GetColorWindow | ( |  | ) |

virtual

## GetInput()

virtual vtkImageData * vtkImageColorViewer::GetInput | ( |  | ) |

virtual

## GetOffScreenRendering()

virtual int vtkImageColorViewer::GetOffScreenRendering | ( |  | ) |

virtual

## GetOverlayVisibility()

double vtkImageColorViewer::GetOverlayVisibility | ( |  | ) |

## GetPosition()

virtual int * vtkImageColorViewer::GetPosition | ( |  | ) |

virtual

## GetSize()

virtual int * vtkImageColorViewer::GetSize | ( |  | ) |

virtual

## GetSliceMax()

virtual int vtkImageColorViewer::GetSliceMax | ( |  | ) |

virtual

## GetSliceMin()

virtual int vtkImageColorViewer::GetSliceMin | ( |  | ) |

virtual

## GetSliceRange() [1/3]

virtual int * vtkImageColorViewer::GetSliceRange | ( |  | ) |

virtual

## GetSliceRange() [2/3]

virtual void vtkImageColorViewer::GetSliceRange | ( | int & | min,
|  | int & | max )

virtual

## GetSliceRange() [3/3]

virtual void vtkImageColorViewer::GetSliceRange | ( | int | range[2] | ) |

inline virtual

References GetSliceRange().

Referenced by GetSliceRange().

## GetWindowName()

virtual const char * vtkImageColorViewer::GetWindowName | ( |  | ) |

virtual

## InstallPipeline()

virtual void vtkImageColorViewer::InstallPipeline | ( |  | ) |

protected virtual

## New()

vtkImageColorViewer * vtkImageColorViewer::New | ( |  | ) |

static

Examples
  gdcmrtionplan.cxx, and gdcmrtplan.cxx.

References vtkImageColorViewer().

## PrintSelf()

void vtkImageColorViewer::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent )

## Render()

virtual void vtkImageColorViewer::Render | ( | void |  | ) |

virtual

Examples
  gdcmrtionplan.cxx, and gdcmrtplan.cxx.

## SetColorLevel()

virtual void vtkImageColorViewer::SetColorLevel | ( | double | s | ) |

virtual

## SetColorWindow()

virtual void vtkImageColorViewer::SetColorWindow | ( | double | s | ) |

virtual

## SetDisplayId()

virtual void vtkImageColorViewer::SetDisplayId | ( | void * | a | ) |

virtual

## SetInput()

virtual void vtkImageColorViewer::SetInput | ( | vtkImageData * | in | ) |

virtual

Examples
  gdcmrtionplan.cxx, and gdcmrtplan.cxx.

## SetInputConnection()

virtual void vtkImageColorViewer::SetInputConnection | ( | vtkAlgorithmOutput * | input | ) |

virtual

## SetOffScreenRendering()

virtual void vtkImageColorViewer::SetOffScreenRendering | ( | int |  | ) |

virtual

## SetOverlayVisibility()

void vtkImageColorViewer::SetOverlayVisibility | ( | double | vis | ) |

## SetParentId()

virtual void vtkImageColorViewer::SetParentId | ( | void * | a | ) |

virtual

## SetPosition() [1/2]

virtual void vtkImageColorViewer::SetPosition | ( | int | a,
|  | int | b )

virtual

## SetPosition() [2/2]

virtual void vtkImageColorViewer::SetPosition | ( | int | a[2] | ) |

inline virtual

References SetPosition().

Referenced by SetPosition().

## SetRenderer()

virtual void vtkImageColorViewer::SetRenderer | ( | vtkRenderer * | arg | ) |

virtual

## SetRenderWindow()

virtual void vtkImageColorViewer::SetRenderWindow | ( | vtkRenderWindow * | arg | ) |

virtual

## SetSize() [1/2]

virtual void vtkImageColorViewer::SetSize | ( | int | a,
|  | int | b )

virtual

Examples
  gdcmrtionplan.cxx, and gdcmrtplan.cxx.

## SetSize() [2/2]

virtual void vtkImageColorViewer::SetSize | ( | int | a[2] | ) |

inline virtual

References SetSize().

Referenced by SetSize().

## SetSlice()

virtual void vtkImageColorViewer::SetSlice | ( | int | s | ) |

virtual

## SetSliceOrientation()

virtual void vtkImageColorViewer::SetSliceOrientation | ( | int | orientation | ) |

virtual

Referenced by SetSliceOrientationToXY(), SetSliceOrientationToXZ(), and SetSliceOrientationToYZ().

## SetSliceOrientationToXY()

virtual void vtkImageColorViewer::SetSliceOrientationToXY | ( |  | ) |

inline virtual

References SetSliceOrientation(), and SLICE_ORIENTATION_XY.

## SetSliceOrientationToXZ()

virtual void vtkImageColorViewer::SetSliceOrientationToXZ | ( |  | ) |

inline virtual

References SetSliceOrientation(), and SLICE_ORIENTATION_XZ.

## SetSliceOrientationToYZ()

virtual void vtkImageColorViewer::SetSliceOrientationToYZ | ( |  | ) |

inline virtual

References SetSliceOrientation(), and SLICE_ORIENTATION_YZ.

## SetupInteractor()

virtual void vtkImageColorViewer::SetupInteractor | ( | vtkRenderWindowInteractor * |  | ) |

virtual

Examples
  gdcmrtionplan.cxx, and gdcmrtplan.cxx.

## SetWindowId()

virtual void vtkImageColorViewer::SetWindowId | ( | void * | a | ) |

virtual

## UnInstallPipeline()

virtual void vtkImageColorViewer::UnInstallPipeline | ( |  | ) |

protected virtual

## UpdateDisplayExtent()

virtual void vtkImageColorViewer::UpdateDisplayExtent | ( |  | ) |

virtual

## UpdateOrientation()

virtual void vtkImageColorViewer::UpdateOrientation | ( |  | ) |

protected virtual

## vtkBooleanMacro()

vtkImageColorViewer::vtkBooleanMacro | ( | OffScreenRendering | ,
|  | int | )

## vtkGetMacro() [1/2]

vtkImageColorViewer::vtkGetMacro | ( | Slice | ,
|  | int | )

References Slice.

## vtkGetMacro() [2/2]

vtkImageColorViewer::vtkGetMacro | ( | SliceOrientation | ,
|  | int | )

References SliceOrientation.

## vtkGetObjectMacro() [1/5]

vtkImageColorViewer::vtkGetObjectMacro | ( | ImageActor | ,
|  | vtkImageActor | )

References ImageActor.

## vtkGetObjectMacro() [2/5]

vtkImageColorViewer::vtkGetObjectMacro | ( | InteractorStyle | ,
|  | vtkInteractorStyleImage | )

References InteractorStyle.

## vtkGetObjectMacro() [3/5]

vtkImageColorViewer::vtkGetObjectMacro | ( | Renderer | ,
|  | vtkRenderer | )

References Renderer.

## vtkGetObjectMacro() [4/5]

vtkImageColorViewer::vtkGetObjectMacro | ( | RenderWindow | ,
|  | vtkRenderWindow | )

References RenderWindow.

## vtkGetObjectMacro() [5/5]

vtkImageColorViewer::vtkGetObjectMacro | ( | WindowLevel | ,
|  | vtkImageMapToWindowLevelColors2 | )

References WindowLevel.

## vtkTypeMacro()

vtkImageColorViewer::vtkTypeMacro | ( | vtkImageColorViewer | ,
|  | vtkObject | )

References vtkImageColorViewer().

## Friends And Related Symbol Documentation

## vtkImageColorViewerCallback

friend class vtkImageColorViewerCallback

friend

References vtkImageColorViewer(), and vtkImageColorViewerCallback.

Referenced by vtkImageColorViewerCallback.

## Member Data Documentation

## FirstRender

int vtkImageColorViewer::FirstRender

protected

## ImageActor

vtkImageActor* vtkImageColorViewer::ImageActor

protected

Referenced by vtkGetObjectMacro().

## Interactor

vtkRenderWindowInteractor* vtkImageColorViewer::Interactor

protected

## InteractorStyle

vtkInteractorStyleImage* vtkImageColorViewer::InteractorStyle

protected

Referenced by vtkGetObjectMacro().

## OverlayImageActor

vtkImageActor* vtkImageColorViewer::OverlayImageActor

protected

## Renderer

vtkRenderer* vtkImageColorViewer::Renderer

protected

Referenced by vtkGetObjectMacro().

## RenderWindow

vtkRenderWindow* vtkImageColorViewer::RenderWindow

protected

Referenced by vtkGetObjectMacro().

## Slice

int vtkImageColorViewer::Slice

protected

Referenced by vtkGetMacro().

## SliceOrientation

int vtkImageColorViewer::SliceOrientation

protected

Referenced by vtkGetMacro().

## WindowLevel

vtkImageMapToWindowLevelColors2* vtkImageColorViewer::WindowLevel

protected

Referenced by vtkGetObjectMacro().

The documentation for this class was generated from the following file:

- vtkImageColorViewer.h